param(
    [string]$folderPath
)

# 1. 确保资源管理器窗口已打开，如果没有则打开
Start-Process "explorer.exe" -ArgumentList $folderPath

# 等待文件资源管理器打开
Start-Sleep -Seconds 1

# 获取 WScript.Shell 对象
$wshell = New-Object -ComObject wscript.shell

# 激活资源管理器窗口（确保窗口获得焦点）
$wshell.AppActivate('File Explorer')

# 等待几秒钟，确保窗口已获得焦点
Start-Sleep -Seconds 1

# 尝试发送 Ctrl+A 全选快捷键
$wshell.SendKeys('^a')
# # 尝试发送 Ctrl+A 全选快捷键
# $wshell.SendKeys('^A')
